Subject: Re: bug#57238: 29.0.50; Tramp: as root on remote SSH server: file is write protected, for -rw-r--r-- 1 admin admin 46587 Aug 5 20:42 websites

From: Jean Louis <[email-masked]>
Date: Wed, 17 Aug 2022 17:21:43 +0300

* Michael Albinus <[email-masked]> [2022-08-17 16:50]:
> > I wonder if it is possible to exclude that warning "Checking
> > `vc-registered'" as it is just disturbing, Tramp is anyway slow and
> > turning it off could speed up the process.
> 
> This is version control, enabled by default in Emacs. If you don't need
> it at all, you can disable it by setting vc-handled-backends to nil. If
> you want to disable it just for all remote files, you can set
> vc-ignore-dir-regexp to an appropriate value. The Tramp manual
> recommends

If I do above, it would probably break Git and other things on local
computer. So it is better to set it for Tramp only, in my case, as I
do not handle version control on remote servers.

> --8<---------------cut here---------------start------------->8---
> (setq vc-ignore-dir-regexp
>       (format "\\(%s\\)\\|\\(%s\\)"
>               vc-ignore-dir-regexp
>               tramp-file-name-regexp))
> --8<---------------cut here---------------end--------------->8---

That did work, and I am happy for it.

There is another disturbing warning which I always answer with "yes",
the one 

Autosave file on local temporary directory, do you want to continue?(yes or no)

I would like to avoid that warning above as well.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/